run ccs_update_schema in postinst
authorDietmar Maurer <dietmar@proxmox.com>
Fri, 9 Dec 2011 10:00:51 +0000 (11:00 +0100)
committerDietmar Maurer <dietmar@proxmox.com>
Fri, 9 Dec 2011 10:00:51 +0000 (11:00 +0100)
Makefile
debian/changelog
debian/postinst [new file with mode: 0755]

index fb4d511..6938660 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -1,7 +1,7 @@
 RELEASE=2.0
 
 PACKAGE=fence-agents-pve
-PKGREL=1
+PKGREL=2
 FAVER=3.1.6
 FADIR=fence-agents-${FAVER}
 FASRC=${FADIR}.tar.xz
index b41ee71..77a47dc 100644 (file)
@@ -1,3 +1,9 @@
+fence-agents-pve (3.1.6-2) unstable; urgency=low
+
+  * run ccs_update_schema in postinst
+
+ -- Proxmox Support Team <support@proxmox.com>  Fri, 09 Dec 2011 10:59:25 +0100
+
 fence-agents-pve (3.1.6-1) unstable; urgency=low
 
   * update to 3.1.6
diff --git a/debian/postinst b/debian/postinst
new file mode 100755 (executable)
index 0000000..a1ce881
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Abort if any command returns an error value 
+set -e
+
+case "$1" in
+  configure)
+    # Configure this package.  If the package must prompt the user for
+    # information, do it here.
+
+    ccs_update_schema  
+    
+    # There are three sub-cases:
+    if test "${2+set}" != set; then
+      # We're being installed by an ancient dpkg which doesn't remember
+      # which version was most recently configured, or even whether
+      # there is a most recently configured version.
+      :
+
+    elif test -z "$2" -o "$2" = "<unknown>"; then
+      # The package has not ever been configured on this system, or was
+      # purged since it was last configured.
+      :
+
+    else
+      # Version $2 is the most recently configured version of this
+      # package.
+      :
+
+    fi ;;
+  abort-upgrade)
+    # Back out of an attempt to upgrade this package FROM THIS VERSION
+    # to version $2.  Undo the effects of "prerm upgrade $2".
+    :
+
+    ;;
+  abort-remove)
+    if test "$2" != in-favour; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to remove this package, which was due to
+    # a conflict with package $3 (version $4).  Undo the effects of
+    # "prerm remove in-favour $3 $4".
+    :
+
+    ;;
+  abort-deconfigure)
+    if test "$2" != in-favour -o "$5" != removing; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to deconfigure this package, which was
+    # due to package $6 (version $7) which we depend on being removed
+    # to make way for package $3 (version $4).  Undo the effects of
+    # "prerm deconfigure in-favour $3 $4 removing $6 $7".
+    :
+
+    ;;
+  *) echo "$0: didn't understand being called with \`$1'" 1>&2
+     exit 0;;
+esac
+
+exit 0